<?php
/**
 * Buzz_Agency  functions and definitions
 *
 * @package Buzz_Agency
 */
	
//================================== Normal Category  ===================================================//

function buzz_agency_category_lists(){

  $category   = get_categories();
  $cat_list   = array();
  $cat_list[0]= esc_html__('Select category','buzz-agency');
  foreach ($category as $cat) {
  	$cat_list[$cat->slug]  = $cat->name;
  }
  return $cat_list;
}
/**
 * Register the required plugins for this theme.
 * 
 * This function is hooked into `tgmpa_register`, which is fired on the WP `init` action on priority 10.
 */
function buzz_agency_register_required_plugins() {
    /*
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(      
        array(
            'name'      => esc_html__( 'Aarambha Demo Sites', 'buzz-agency' ), //The plugin name
            'slug'      => 'aarambha-demo-sites',  // The plugin slug (typically the folder name)
            'required'  => false,  // If false, the plugin is only 'recommended' instead of required.
            'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
        ),    
              
    );

    $config = array(
        'id'           => 'buzz-agency',        // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.     
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        );

    tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'buzz_agency_register_required_plugins' );